
Foreman - Bug #9227

Remove ip and mac attributes

02/04/2015 05:13 PM - Daniel Lobato Garcia

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we are adding ip and mac as 'fake' empty attributes when cloning a host, since these attributes are in interfaces now

already. We should just not take them into account for deep_cloning at all

DEPRECATION WARNING: You're trying to create an attribute `mac'. Writing arbitrary attributes on a model is deprecated. Please

just use `attr_writer` etc. (called from clone at /home/daniel/workspace/cleanforeman/app/models/host/managed.rb:623)

DEPRECATION WARNING: You're trying to create an attribute `ip'. Writing arbitrary attributes on a model is deprecated. Please just

use `attr_writer` etc. (called from clone at /home/daniel/workspace/cleanforeman/app/models/host/managed.rb:623)

Related issues:

Related to Foreman - Tracker #2409: Networking New

History

#1 - 02/04/2015 05:36 PM - Daniel Lobato Garcia

- Tracker changed from Refactor to Bug

- Subject changed from Remove ip and mac attributes from deep clone to Remove ip and mac attributes

There are a bunch of tests where .ip and .mac are used, also these are the methods used in the jail to get the IP and MAC instead of

primary_interface.ip and primary_interface.mac . Almost certainly there'll be broken things there, to be inspected closely.

#2 - 02/05/2015 04:41 AM - Dominic Cleal

- Related to Tracker #2409: Networking added

#3 - 02/05/2015 04:42 AM - Dominic Cleal

- Category set to Network

- Difficulty deleted (trivial)

#4 - 02/05/2015 12:37 PM - Marek Hulán

Isn't this a duplicate of #9047? We would like to remove all assigning methods that are delegated to primary_interface. Readers should remain. Or is

there some issue with deep_clone already?

#5 - 03/05/2015 10:00 AM - Daniel Lobato Garcia

- Status changed from New to Duplicate

It is, thanks for noticing.
